"use strict";(self.webpackChunkembla_carousel_docs=self.webpackChunkembla_carousel_docs||[]).push([[5088],{1908:function(e,t,n){n.r(t),n.d(t,{Head:function(){return h},default:function(){return b}});var a=n(5392),l=n(2784);function r(e){const t=Object.assign({h1:"h1",p:"p",ul:"ul",li:"li",a:"a",h2:"h2",div:"div",code:"code",pre:"pre",strong:"strong"},(0,a.ah)(),e.components);return l.createElement(l.Fragment,null,l.createElement(t.h1,null,"TypeScript"),"\n",l.createElement(t.p,null,"Before continuing with this guide, make sure to setup a working carousel following one of these setup guides:"),"\n",l.createElement(t.ul,null,"\n",l.createElement(t.li,null,l.createElement(t.a,{href:"/get-started/module/"},"module")),"\n",l.createElement(t.li,null,l.createElement(t.a,{href:"/get-started/react/"},"react")),"\n"),"\n",l.createElement(t.p,null,"Embla Carousel and all its related packages are fully typed and has built-in type definitions, because they're written in TypeScript."),"\n",l.createElement(t.h2,{id:"module-usage",style:{position:"relative"}},l.createElement(t.a,{href:"#module-usage","aria-label":"module usage permalink",className:"anchor before"},l.createElement(t.div,{dangerouslySetInnerHTML:{__html:'<svg viewBox="0 0 16 16" aria-hidden="true"><path d="M4 9h1v1H4c-1.5 0-3-1.69-3-3.5S2.55 3 4 3h4c1.45 0 3 1.69 3 3.5 0 1.41-.91 2.72-2 3.25V8.59c.58-.45 1-1.27 1-2.09C10 5.22 8.98 4 8 4H4c-.98 0-2 1.22-2 2.5S3 9 4 9zm9-3h-1v1h1c1 0 2 1.22 2 2.5S13.98 12 13 12H9c-.98 0-2-1.22-2-2.5 0-.83.42-1.64 1-2.09V6.25c-1.09.53-2 1.84-2 3.25C6 11.31 7.55 13 9 13h4c1.45 0 3-1.69 3-3.5S14.5 6 13 6z" fill="currentColor" /></svg>'}})),"Module usage"),"\n",l.createElement(t.p,null,"The ",l.createElement(t.code,null,"embla-carousel")," package exports a set of useful types that you can import like so:"),"\n",l.createElement(t.pre,null,l.createElement(t.code,{className:"language-ts"},"import EmblaCarousel, {\n  EmblaCarouselType,\n  EmblaOptionsType,\n  EmblaPluginType,\n  EmblaEventType,\n} from 'embla-carousel'\n")),"\n",l.createElement(t.p,null,"You can use these types to create utilitiy functions. In this example the ",l.createElement(t.code,null,"EmblaCarouselType")," is used to create a function that is responsible for setting up carousel buttons:"),"\n",l.createElement(t.pre,null,l.createElement(t.code,{className:"language-ts"},"import EmblaCarousel, { EmblaCarouselType } from 'embla-carousel'\n\nfunction setupEmblaButtons(embla: EmblaCarouselType): void {\n  // Setup buttons code here\n}\n\nconst emblaNodes: HTMLElement[] = Array.from(\n  document.querySelectorAll('.embla'),\n)\n\nemblaNodes.forEach((emblaNode) => {\n  const embla = EmblaCarousel(emblaNode)\n  setupEmblaButtons(embla)\n})\n")),"\n",l.createElement(t.h2,{id:"react-usage",style:{position:"relative"}},l.createElement(t.a,{href:"#react-usage","aria-label":"react usage permalink",className:"anchor before"},l.createElement(t.div,{dangerouslySetInnerHTML:{__html:'<svg viewBox="0 0 16 16" aria-hidden="true"><path d="M4 9h1v1H4c-1.5 0-3-1.69-3-3.5S2.55 3 4 3h4c1.45 0 3 1.69 3 3.5 0 1.41-.91 2.72-2 3.25V8.59c.58-.45 1-1.27 1-2.09C10 5.22 8.98 4 8 4H4c-.98 0-2 1.22-2 2.5S3 9 4 9zm9-3h-1v1h1c1 0 2 1.22 2 2.5S13.98 12 13 12H9c-.98 0-2-1.22-2-2.5 0-.83.42-1.64 1-2.09V6.25c-1.09.53-2 1.84-2 3.25C6 11.31 7.55 13 9 13h4c1.45 0 3-1.69 3-3.5S14.5 6 13 6z" fill="currentColor" /></svg>'}})),"React usage"),"\n",l.createElement(t.p,null,"The ",l.createElement(t.code,null,"embla-carousel-react")," package exports the following set of useful types:"),"\n",l.createElement(t.pre,null,l.createElement(t.code,{className:"language-ts"},"import useEmblaCarousel, {\n  EmblaCarouselType,\n  EmblaOptionsType,\n  EmblaPluginType,\n  EmblaEventType,\n  UseEmblaCarouselType,\n} from 'embla-carousel-react'\n")),"\n",l.createElement(t.p,null,"For example, you can use it to create type safe and re-usable Embla components. In the following example ",l.createElement(t.code,null,"EmblaOptionsType")," is used to properly type the ",l.createElement(t.strong,null,"options")," prop:"),"\n",l.createElement(t.pre,null,l.createElement(t.code,{className:"language-tsx"},'import React, { ReactNode } from \'react\'\nimport useEmblaCarousel, { EmblaOptionsType } from \'embla-carousel-react\'\n\ntype PropType = {\n  options?: EmblaOptionsType\n  slides: ReactNode[]\n}\n\nexport const EmblaCarousel = (props: PropType) => {\n  const { options, slides } = props\n  const [emblaRef] = useEmblaCarousel(options)\n\n  return (\n    <div className="embla" ref={emblaRef}>\n      <div className="embla__container">\n        {slides.map((slide, index) => (\n          <div className="embla__slide" key={index}>\n            {slide}\n          </div>\n        ))}\n      </div>\n    </div>\n  )\n}\n')),"\n",l.createElement(t.h2,{id:"plugin-usage",style:{position:"relative"}},l.createElement(t.a,{href:"#plugin-usage","aria-label":"plugin usage permalink",className:"anchor before"},l.createElement(t.div,{dangerouslySetInnerHTML:{__html:'<svg viewBox="0 0 16 16" aria-hidden="true"><path d="M4 9h1v1H4c-1.5 0-3-1.69-3-3.5S2.55 3 4 3h4c1.45 0 3 1.69 3 3.5 0 1.41-.91 2.72-2 3.25V8.59c.58-.45 1-1.27 1-2.09C10 5.22 8.98 4 8 4H4c-.98 0-2 1.22-2 2.5S3 9 4 9zm9-3h-1v1h1c1 0 2 1.22 2 2.5S13.98 12 13 12H9c-.98 0-2-1.22-2-2.5 0-.83.42-1.64 1-2.09V6.25c-1.09.53-2 1.84-2 3.25C6 11.31 7.55 13 9 13h4c1.45 0 3-1.69 3-3.5S14.5 6 13 6z" fill="currentColor" /></svg>'}})),"Plugin usage"),"\n",l.createElement(t.p,null,"Plugins also export type definitions. Their type definitions are ",l.createElement(t.strong,null,"prefixed")," with the ",l.createElement(t.strong,null,"plugin name"),":"),"\n",l.createElement(t.pre,null,l.createElement(t.code,{className:"language-ts"},"import Autoplay, {\n  AutoplayType,\n  AutoplayOptionsType,\n} from 'embla-carousel-autoplay'\n")))}var o=function(e){void 0===e&&(e={});const{wrapper:t}=Object.assign({},(0,a.ah)(),e.components);return t?l.createElement(t,e,l.createElement(r,e)):r(e)},i=n(4234),c=n(3785),s=n(8116),m=n(3559),u=n(7377),p=n(286),d=n(1429),g=n(8944),E=n(8774);const h=e=>{const{data:t,pageContext:n}=e,{siteUrl:a,author:r}=(0,s.$)(),{title:o,description:m,date:u}=t.mdx.frontmatter,p=(0,l.useMemo)((()=>new Date(u+" UTC").toISOString()),[u]);return l.createElement(i.p,{title:o,description:m,url:""+a+n.slug},l.createElement("script",{type:"application/ld+json"},'\n      {\n        "@context": "https://schema.org",\n        "@type": "TechArticle",\n        "name": "'+(0,g.P)(a)+'",\n        "description": "'+m+'",\n        "url": "'+a+n.slug+'",\n        "headline": "'+o+'",\n        "image": "'+a+'/share-image.png",\n        "datePublished": "'+p+'",\n        "dateModified": "'+p+'",\n        "author": {\n          "@type": "Person",\n          "name": "'+r+'"\n        },\n        "publisher": {\n          "@type": "Organization",\n          "name": "'+r+'",\n          "logo": {\n            "@type": "ImageObject",\n            "width": "512",\n            "height": "512",\n            "url": "'+a+c.Z+'"\n          }\n        }\n      }\n    '))},f=e=>{const{pageContext:t,children:n}=e,{next:a,previous:r,filePath:o,id:i}=t;return l.createElement(l.Fragment,null,l.createElement(p.V,{id:i}),l.createElement("article",{id:d.O},l.createElement(E.i,null,n)),l.createElement(m.l,{pageUrl:o}),l.createElement(u.R,{previous:r,next:a}))};function b(e){return l.createElement(f,e,l.createElement(o,e))}},286:function(e,t,n){n.d(t,{V:function(){return f}});var a=n(2784),l=n(1195),r=n(9196),o=(n(7694),n(4049)),i=n(5211);var c=n(6807),s=n(7042),m=n(727),u=n(127);const p=l.default.nav.withConfig({displayName:"PageBreadcrumbs__PageBreadcrumbsWrapper",componentId:"sc-1mlty1z-0"})(["display:flex;align-items:center;font-size:",";margin-bottom:",";"],m.u.COMPLEMENTARY,u.v.THREE),d=(0,l.css)(["color:",";padding:"," 0;"],s.DM.TEXT_LOW_CONTRAST,u.v.ONE),g=(0,l.default)(r.Z).withConfig({displayName:"PageBreadcrumbs__Link",componentId:"sc-1mlty1z-1"})(["",";"],d),E=l.default.span.withConfig({displayName:"PageBreadcrumbs__ActiveTitle",componentId:"sc-1mlty1z-2"})(["",";"],d),h=(0,l.default)(c.J).withConfig({displayName:"PageBreadcrumbs__Separator",componentId:"sc-1mlty1z-3"})(["color:",";margin:0 ",";"],s.DM.TEXT_LOW_CONTRAST,u.v.ONE),f=e=>{const{id:t}=e,n=(e=>{const{flat:t}=(0,i.V)(),n=t.find((t=>t.id===e));return t.filter((e=>(0,o.D)(e.slug,(null==n?void 0:n.slug)||""))).sort(((e,t)=>e.level-t.level))})(t);return 0===n.length?null:a.createElement(p,{"aria-label":"Breadcrumb Navigation"},n.map(((e,t)=>{let{id:l,slug:r,title:o}=e;return t!==n.length-1?a.createElement(a.Fragment,{key:l},a.createElement(g,{to:r},o),a.createElement(h,{size:"0.6rem",svg:"chevronRight",role:"presentation","aria-hidden":"false"})):a.createElement(E,{key:l},o)})))}},3559:function(e,t,n){n.d(t,{l:function(){return p}});var a=n(2784),l=n(1195),r=n(9196),o=n(7042),i=n(727),c=n(127),s=n(2657),m=n(6722);const u=(0,l.default)(r.Z).withConfig({displayName:"PageEditThisPage__PageEditThisPageWrapper",componentId:"sc-15acsrz-0"})(["display:inline-flex;align-items:center;text-decoration:none;font-size:",";padding-top:",";padding-bottom:",";margin-top:",";color:",";"],i.u.COMPLEMENTARY,c.v.ONE,c.v.ONE,c.v.EIGHT,o.DM.TEXT_LOW_CONTRAST),p=e=>{const{pageUrl:t}=e,n=s.n.GITHUB_DOCUMENTATION+"/"+t;return a.createElement(u,{to:n},a.createElement(m.M,{iconSvg:"pen",iconSize:"1.5rem"},"Edit this page on GitHub"))}},7377:function(e,t,n){n.d(t,{R:function(){return f}});var a=n(2784),l=n(1195),r=n(9196),o=n(4097),i=n(7042),c=n(127),s=n(727),m=n(6722);const u=c.v.FOUR,p=l.default.nav.withConfig({displayName:"PagePagination__PagePaginationWrapper",componentId:"sc-3ejrow-0"})(["display:flex;justify-content:space-between;margin-top:",";margin-left:-",";"],c.v.EIGHT,u),d=l.default.div.withConfig({displayName:"PagePagination__Item",componentId:"sc-3ejrow-1"})(["padding-left:",";> a{color:",";}&:nth-child(2) > a{text-align:right;color:",";}"],u,i.DM.BRAND_PRIMARY,i.DM.BRAND_SECONDARY),g=l.default.div.withConfig({displayName:"PagePagination__ItemLabel",componentId:"sc-3ejrow-2"})(["color:",";padding-bottom:",";"],i.DM.TEXT_LOW_CONTRAST,c.v.ONE),E=l.default.div.withConfig({displayName:"PagePagination__ItemTitle",componentId:"sc-3ejrow-3"})(["display:inline-flex;align-items:center;font-weight:",";"],s.X.MEDIUM),h=l.default.span.withConfig({displayName:"PagePagination__GradientText",componentId:"sc-3ejrow-4"})(["",";"],o.V),f=e=>{const{next:t,previous:n}=e;return a.createElement(p,{"aria-label":"Pagination Navigation"},a.createElement(d,null,n&&a.createElement(r.Z,{to:n.slug},a.createElement(g,null,"Previous"),a.createElement(E,null,a.createElement(m.M,{iconSvg:"arrowLeft"},a.createElement(h,null,n.title))))),a.createElement(d,null,t&&a.createElement(r.Z,{to:t.slug},a.createElement(g,null,"Next"),a.createElement(E,null,a.createElement(m.M,{iconSvg:"arrowRight",iconSide:"right"},a.createElement(h,null,t.title))))))}},4234:function(e,t,n){n.d(t,{p:function(){return i}});var a=n(2784),l=n(8116),r=n(8944),o=n(3471);const i=e=>{const{title:t,description:n,lang:i="en",url:c,children:s}=e,m=(0,l.$)(),u=t+" | "+(0,o.g)(m.title),p=n||m.description;return a.createElement(a.Fragment,null,a.createElement("html",{lang:i}),a.createElement("title",null,u),a.createElement("link",{rel:"canonical",href:c}),a.createElement("meta",{name:"description",content:p}),a.createElement("meta",{name:"og:title",content:t}),a.createElement("meta",{name:"og:description",content:p}),a.createElement("meta",{name:"og:type",content:"article"}),a.createElement("meta",{name:"og:locale",content:"en_EN"}),a.createElement("meta",{name:"og:url",content:c}),a.createElement("meta",{name:"og:site_name",content:(0,r.P)(m.siteUrl)}),a.createElement("meta",{name:"twitter:card",content:"summary"}),a.createElement("meta",{name:"twitter:creator",content:m.author}),a.createElement("meta",{name:"twitter:title",content:t}),a.createElement("meta",{name:"twitter:description",content:p}),s)}},3471:function(e,t,n){n.d(t,{g:function(){return a}});const a=function(e,t){return void 0===e&&(e=""),void 0===t&&(t=""),e.replace(/(^\w|-\w)/g,(e=>e.replace(/-/,t).toUpperCase()))}},8944:function(e,t,n){n.d(t,{P:function(){return a}});const a=e=>e.replace(/(^\w+:|^)\/\//,"")},3785:function(e,t,n){t.Z=n.p+"static/maskable-36b9e327abc26d5d02e9350d184a058f.png"}}]);
//# sourceMappingURL=component---src-templates-page-tsx-content-file-path-users-davidjerleke-sites-embla-carousel-packages-embla-carousel-docs-src-content-pages-get-started-typescript-md-7ff923d427b57ddbfdfe.js.map