"use strict";(self.webpackChunkembla_carousel_docs=self.webpackChunkembla_carousel_docs||[]).push([[6267],{7107:function(e,t,n){n.r(t),n.d(t,{Head:function(){return E},default:function(){return v}});var a=n(5392),l=n(2784);function i(e){const t=Object.assign({h1:"h1",p:"p",strong:"strong",a:"a",h2:"h2",div:"div",pre:"pre",code:"code"},(0,a.ah)(),e.components),{Admonition:n}=t;return n||function(e,t){throw new Error("Expected "+(t?"component":"object")+" `"+e+"` to be defined: you likely forgot to import, pass, or provide it.")}("Admonition",!0),l.createElement(l.Fragment,null,l.createElement(t.h1,null,"Slide Sizes"),"\n",l.createElement(t.p,null,"This guide will show you how to customize ",l.createElement(t.strong,null,"slide sizes")," for your carousels using the ",l.createElement(t.a,{href:"/guides/slide-container/#using-flexbox"},"flexbox")," setup. Embla Carousel supports horizontal and vertical carousels with the ",l.createElement(t.a,{href:"/api/options/#axis"},"axis")," option and that's why this guide will use the term ",l.createElement(t.strong,null,"slide sizes")," instead of ",l.createElement(t.strong,null,"widths")," or ",l.createElement(t.strong,null,"heights"),"."),"\n",l.createElement(n,{type:"note"},l.createElement(t.p,null,"If you haven't read about how to setup your slide ",l.createElement(t.a,{href:"/guides/slide-container/"},"container"),", please visit that guide before continuing with this.")),"\n",l.createElement(t.h2,{id:"declaring-sizes",style:{position:"relative"}},l.createElement(t.a,{href:"#declaring-sizes","aria-label":"declaring sizes permalink",className:"anchor before"},l.createElement(t.div,{dangerouslySetInnerHTML:{__html:'<svg viewBox="0 0 16 16" aria-hidden="true"><path d="M4 9h1v1H4c-1.5 0-3-1.69-3-3.5S2.55 3 4 3h4c1.45 0 3 1.69 3 3.5 0 1.41-.91 2.72-2 3.25V8.59c.58-.45 1-1.27 1-2.09C10 5.22 8.98 4 8 4H4c-.98 0-2 1.22-2 2.5S3 9 4 9zm9-3h-1v1h1c1 0 2 1.22 2 2.5S13.98 12 13 12H9c-.98 0-2-1.22-2-2.5 0-.83.42-1.64 1-2.09V6.25c-1.09.53-2 1.84-2 3.25C6 11.31 7.55 13 9 13h4c1.45 0 3-1.69 3-3.5S14.5 6 13 6z" fill="currentColor" /></svg>'}})),"Declaring sizes"),"\n",l.createElement(t.p,null,"Slide sizes should in most cases be ",l.createElement(t.strong,null,"declared with CSS"),". Embla Carousel ",l.createElement(t.strong,null,"supports any slide size out of the box"),", and will pick up whatever size you've declared in your CSS. A very simple setup could look like this:"),"\n",l.createElement(t.pre,null,l.createElement(t.code,{className:"language-css"},".embla__slide {\n  flex: 0 0 50%; /* Slide covers 50% of the viewport */\n  min-width: 0;\n}\n")),"\n",l.createElement(t.p,null,"You can also declare your slide sizes using any other CSS unit like so:"),"\n",l.createElement(t.pre,null,l.createElement(t.code,{className:"language-css"},".embla__slide {\n  flex: 0 0 200px; /* Slide covers 200px of the viewport */\n  min-width: 0;\n}\n")),"\n",l.createElement(t.h2,{id:"variable-sizes",style:{position:"relative"}},l.createElement(t.a,{href:"#variable-sizes","aria-label":"variable sizes permalink",className:"anchor before"},l.createElement(t.div,{dangerouslySetInnerHTML:{__html:'<svg viewBox="0 0 16 16" aria-hidden="true"><path d="M4 9h1v1H4c-1.5 0-3-1.69-3-3.5S2.55 3 4 3h4c1.45 0 3 1.69 3 3.5 0 1.41-.91 2.72-2 3.25V8.59c.58-.45 1-1.27 1-2.09C10 5.22 8.98 4 8 4H4c-.98 0-2 1.22-2 2.5S3 9 4 9zm9-3h-1v1h1c1 0 2 1.22 2 2.5S13.98 12 13 12H9c-.98 0-2-1.22-2-2.5 0-.83.42-1.64 1-2.09V6.25c-1.09.53-2 1.84-2 3.25C6 11.31 7.55 13 9 13h4c1.45 0 3-1.69 3-3.5S14.5 6 13 6z" fill="currentColor" /></svg>'}})),"Variable sizes"),"\n",l.createElement(t.p,null,"Variable slide sizes is also ",l.createElement(t.strong,null,"supported out of the box"),". Declare your slide sizes in your CSS or let the content of your slides determine their sizes."),"\n",l.createElement(t.pre,null,l.createElement(t.code,{className:"language-css"},".embla__slide:nth-child(1) {\n  flex: 0 0 30%; /* Slide covers 30% of the viewport */\n  min-width: 0;\n}\n.embla__slide:nth-child(2) {\n  flex: 0 0 60%; /* Slide covers 60% of the viewport */\n  min-width: 0;\n}\n")),"\n",l.createElement(t.p,null,"If you're letting your slide sizes adapt to their content, make sure that the ",l.createElement(t.strong,null,"slide sizes don't exceed")," the size of the ",l.createElement(t.strong,null,"viewport"),"."),"\n",l.createElement(t.pre,null,l.createElement(t.code,{className:"language-css"},".embla__slide {\n  flex: 0 0 auto; /* Adapt slide size to its content */\n  min-width: 0;\n  max-width: 100%; /* Prevent from growing larger than viewport */\n}\n")),"\n",l.createElement(t.h2,{id:"responding-to-breakpoints",style:{position:"relative"}},l.createElement(t.a,{href:"#responding-to-breakpoints","aria-label":"responding to breakpoints permalink",className:"anchor before"},l.createElement(t.div,{dangerouslySetInnerHTML:{__html:'<svg viewBox="0 0 16 16" aria-hidden="true"><path d="M4 9h1v1H4c-1.5 0-3-1.69-3-3.5S2.55 3 4 3h4c1.45 0 3 1.69 3 3.5 0 1.41-.91 2.72-2 3.25V8.59c.58-.45 1-1.27 1-2.09C10 5.22 8.98 4 8 4H4c-.98 0-2 1.22-2 2.5S3 9 4 9zm9-3h-1v1h1c1 0 2 1.22 2 2.5S13.98 12 13 12H9c-.98 0-2-1.22-2-2.5 0-.83.42-1.64 1-2.09V6.25c-1.09.53-2 1.84-2 3.25C6 11.31 7.55 13 9 13h4c1.45 0 3-1.69 3-3.5S14.5 6 13 6z" fill="currentColor" /></svg>'}})),"Responding to breakpoints"),"\n",l.createElement(t.p,null,"Embla Carousel will ",l.createElement(t.strong,null,"automatically pick up")," any ",l.createElement(t.strong,null,"changes in slide sizes")," when the ",l.createElement(t.strong,null,"window is resized"),". It's very simple to set different sizes based on your breakpoints:"),"\n",l.createElement(t.pre,null,l.createElement(t.code,{className:"language-css"},".embla__slide {\n  flex: 0 0 100%; /* Default slide covers 100% of the viewport */\n  min-width: 0;\n}\n@media (min-width: 768px) {\n  .embla__slide {\n    flex: 0 0 50%; /* Breakpoint SM slide covers 50% of the viewport */\n  }\n}\n")))}var r=function(e){void 0===e&&(e={});const{wrapper:t}=Object.assign({},(0,a.ah)(),e.components);return t?l.createElement(t,e,l.createElement(i,e)):i(e)};var o=n(4234),c=n(3785),s=n(8116),m=n(3559),d=n(7377),u=n(286),p=n(1429),g=n(8944),h=n(8774);const E=e=>{const{data:t,pageContext:n}=e,{siteUrl:a,author:i}=(0,s.$)(),{title:r,description:m,date:d}=t.mdx.frontmatter,u=(0,l.useMemo)((()=>new Date(d+" UTC").toISOString()),[d]);return l.createElement(o.p,{title:r,description:m,url:""+a+n.slug},l.createElement("script",{type:"application/ld+json"},'\n      {\n        "@context": "https://schema.org",\n        "@type": "TechArticle",\n        "name": "'+(0,g.P)(a)+'",\n        "description": "'+m+'",\n        "url": "'+a+n.slug+'",\n        "headline": "'+r+'",\n        "image": "'+a+'/share-image.png",\n        "datePublished": "'+u+'",\n        "dateModified": "'+u+'",\n        "author": {\n          "@type": "Person",\n          "name": "'+i+'"\n        },\n        "publisher": {\n          "@type": "Organization",\n          "name": "'+i+'",\n          "logo": {\n            "@type": "ImageObject",\n            "width": "512",\n            "height": "512",\n            "url": "'+a+c.Z+'"\n          }\n        }\n      }\n    '))},f=e=>{const{pageContext:t,children:n}=e,{next:a,previous:i,filePath:r,id:o}=t;return l.createElement(l.Fragment,null,l.createElement(u.V,{id:o}),l.createElement("article",{id:p.O},l.createElement(h.i,null,n)),l.createElement(m.l,{pageUrl:r}),l.createElement(d.R,{previous:i,next:a}))};function v(e){return l.createElement(f,e,l.createElement(r,e))}},286:function(e,t,n){n.d(t,{V:function(){return f}});var a=n(2784),l=n(1195),i=n(9196),r=(n(7694),n(4049)),o=n(5211);var c=n(6807),s=n(7042),m=n(727),d=n(127);const u=l.default.nav.withConfig({displayName:"PageBreadcrumbs__PageBreadcrumbsWrapper",componentId:"sc-1mlty1z-0"})(["display:flex;align-items:center;font-size:",";margin-bottom:",";"],m.u.COMPLEMENTARY,d.v.THREE),p=(0,l.css)(["color:",";padding:"," 0;"],s.DM.TEXT_LOW_CONTRAST,d.v.ONE),g=(0,l.default)(i.Z).withConfig({displayName:"PageBreadcrumbs__Link",componentId:"sc-1mlty1z-1"})(["",";"],p),h=l.default.span.withConfig({displayName:"PageBreadcrumbs__ActiveTitle",componentId:"sc-1mlty1z-2"})(["",";"],p),E=(0,l.default)(c.J).withConfig({displayName:"PageBreadcrumbs__Separator",componentId:"sc-1mlty1z-3"})(["color:",";margin:0 ",";"],s.DM.TEXT_LOW_CONTRAST,d.v.ONE),f=e=>{const{id:t}=e,n=(e=>{const{flat:t}=(0,o.V)(),n=t.find((t=>t.id===e));return t.filter((e=>(0,r.D)(e.slug,(null==n?void 0:n.slug)||""))).sort(((e,t)=>e.level-t.level))})(t);return 0===n.length?null:a.createElement(u,{"aria-label":"Breadcrumb Navigation"},n.map(((e,t)=>{let{id:l,slug:i,title:r}=e;return t!==n.length-1?a.createElement(a.Fragment,{key:l},a.createElement(g,{to:i},r),a.createElement(E,{size:"0.6rem",svg:"chevronRight",role:"presentation","aria-hidden":"false"})):a.createElement(h,{key:l},r)})))}},3559:function(e,t,n){n.d(t,{l:function(){return u}});var a=n(2784),l=n(1195),i=n(9196),r=n(7042),o=n(727),c=n(127),s=n(2657),m=n(6722);const d=(0,l.default)(i.Z).withConfig({displayName:"PageEditThisPage__PageEditThisPageWrapper",componentId:"sc-15acsrz-0"})(["display:inline-flex;align-items:center;text-decoration:none;font-size:",";padding-top:",";padding-bottom:",";margin-top:",";color:",";"],o.u.COMPLEMENTARY,c.v.ONE,c.v.ONE,c.v.EIGHT,r.DM.TEXT_LOW_CONTRAST),u=e=>{const{pageUrl:t}=e,n=s.n.GITHUB_DOCUMENTATION+"/"+t;return a.createElement(d,{to:n},a.createElement(m.M,{iconSvg:"pen",iconSize:"1.5rem"},"Edit this page on GitHub"))}},7377:function(e,t,n){n.d(t,{R:function(){return f}});var a=n(2784),l=n(1195),i=n(9196),r=n(4097),o=n(7042),c=n(127),s=n(727),m=n(6722);const d=c.v.FOUR,u=l.default.nav.withConfig({displayName:"PagePagination__PagePaginationWrapper",componentId:"sc-3ejrow-0"})(["display:flex;justify-content:space-between;margin-top:",";margin-left:-",";"],c.v.EIGHT,d),p=l.default.div.withConfig({displayName:"PagePagination__Item",componentId:"sc-3ejrow-1"})(["padding-left:",";> a{color:",";}&:nth-child(2) > a{text-align:right;color:",";}"],d,o.DM.BRAND_PRIMARY,o.DM.BRAND_SECONDARY),g=l.default.div.withConfig({displayName:"PagePagination__ItemLabel",componentId:"sc-3ejrow-2"})(["color:",";padding-bottom:",";"],o.DM.TEXT_LOW_CONTRAST,c.v.ONE),h=l.default.div.withConfig({displayName:"PagePagination__ItemTitle",componentId:"sc-3ejrow-3"})(["display:inline-flex;align-items:center;font-weight:",";"],s.X.MEDIUM),E=l.default.span.withConfig({displayName:"PagePagination__GradientText",componentId:"sc-3ejrow-4"})(["",";"],r.V),f=e=>{const{next:t,previous:n}=e;return a.createElement(u,{"aria-label":"Pagination Navigation"},a.createElement(p,null,n&&a.createElement(i.Z,{to:n.slug},a.createElement(g,null,"Previous"),a.createElement(h,null,a.createElement(m.M,{iconSvg:"arrowLeft"},a.createElement(E,null,n.title))))),a.createElement(p,null,t&&a.createElement(i.Z,{to:t.slug},a.createElement(g,null,"Next"),a.createElement(h,null,a.createElement(m.M,{iconSvg:"arrowRight",iconSide:"right"},a.createElement(E,null,t.title))))))}},4234:function(e,t,n){n.d(t,{p:function(){return o}});var a=n(2784),l=n(8116),i=n(8944),r=n(3471);const o=e=>{const{title:t,description:n,lang:o="en",url:c,children:s}=e,m=(0,l.$)(),d=t+" | "+(0,r.g)(m.title),u=n||m.description;return a.createElement(a.Fragment,null,a.createElement("html",{lang:o}),a.createElement("title",null,d),a.createElement("link",{rel:"canonical",href:c}),a.createElement("meta",{name:"description",content:u}),a.createElement("meta",{name:"og:title",content:t}),a.createElement("meta",{name:"og:description",content:u}),a.createElement("meta",{name:"og:type",content:"article"}),a.createElement("meta",{name:"og:locale",content:"en_EN"}),a.createElement("meta",{name:"og:url",content:c}),a.createElement("meta",{name:"og:site_name",content:(0,i.P)(m.siteUrl)}),a.createElement("meta",{name:"twitter:card",content:"summary"}),a.createElement("meta",{name:"twitter:creator",content:m.author}),a.createElement("meta",{name:"twitter:title",content:t}),a.createElement("meta",{name:"twitter:description",content:u}),s)}},3471:function(e,t,n){n.d(t,{g:function(){return a}});const a=function(e,t){return void 0===e&&(e=""),void 0===t&&(t=""),e.replace(/(^\w|-\w)/g,(e=>e.replace(/-/,t).toUpperCase()))}},8944:function(e,t,n){n.d(t,{P:function(){return a}});const a=e=>e.replace(/(^\w+:|^)\/\//,"")},3785:function(e,t,n){t.Z=n.p+"static/maskable-36b9e327abc26d5d02e9350d184a058f.png"}}]);
//# sourceMappingURL=component---src-templates-page-tsx-content-file-path-users-davidjerleke-sites-embla-carousel-packages-embla-carousel-docs-src-content-pages-guides-slide-sizes-md-f1b539d967612e671d91.js.map